Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_baremetal.clusters.interfaces.detach(
instance_id="instance_id",
project_id=0,
region_id=0,
ip_address="192.168.123.20",
port_id="351b0dd7-ca09-431c-be53-935db3785067",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUBaremetal.Clusters.Interfaces.Detach(
context.TODO(),
"instance_id",
cloud.GPUBaremetalClusterInterfaceDetachParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
IPAddress: "192.168.123.20",
PortID: "351b0dd7-ca09-431c-be53-935db3785067",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}curl --request POST \
--url https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/{instance_id}/detach_interface \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ip_address": "192.168.123.20",
"port_id": "351b0dd7-ca09-431c-be53-935db3785067"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_address: '192.168.123.20', port_id: '351b0dd7-ca09-431c-be53-935db3785067'})
};
fetch('https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/{instance_id}/detach_interface', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}GPU Bare Metal
Detach interface from bare metal GPU cluster server
POST
/
cloud
/
v1
/
ai
/
clusters
/
{project_id}
/
{region_id}
/
{instance_id}
/
detach_interface
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_baremetal.clusters.interfaces.detach(
instance_id="instance_id",
project_id=0,
region_id=0,
ip_address="192.168.123.20",
port_id="351b0dd7-ca09-431c-be53-935db3785067",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUBaremetal.Clusters.Interfaces.Detach(
context.TODO(),
"instance_id",
cloud.GPUBaremetalClusterInterfaceDetachParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
IPAddress: "192.168.123.20",
PortID: "351b0dd7-ca09-431c-be53-935db3785067",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Instance ID
Body
application/json
Response
200 - application/json
Created task
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I